html {
    cursor: url("cursor.png"), auto;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Body Gradient */
body {
    background: linear-gradient(180deg, #ffffff 0%, #dbdbdb 100%);
    transition: background 1s ease-in-out;
    overflow: hidden;
}

/* Intro Overlay */
.intro {
    position: fixed;
    z-index: 9999;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: black; /* Intro startet schwarz */
    transition: opacity 0.5s ease-in, transform 1s ease-in;
}

/* Video */
.intro video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Fade-Out + Hochfliegen */
.intro.fade-out {
    opacity: 0;
    transform: translateY(-100%);
}